PDA

Visualizza la versione completa : relocation error


alkat
30-08-2004, 18:12
pingu nostro che sei nei cieli,
dacci oggi il nostro casino quotidiano...

ecco il mio:

XXX@linuxbox:~$ scribus
scribus: relocation error: /usr/lib/libqt-mt.so.3: symbol , version GLIBC_2.0 not defined in file libpthread.so.0 with link time reference
XXX@linuxbox:~$ quanta
quanta: relocation error: /usr/lib/libkdecore.so.4: undefined symbol: _ZNK9QIODevice2atEv
XXX@linuxbox:~$ k3b
k3b: relocation error: /usr/lib/libkdecore.so.4: undefined symbol: _ZNK9QIODevice2atEv



Cosa vuol dire? Cos' successo?

Scribus funzionava fino all'ultimo upgrade, quanta e k3b li ho installati oggi e non vanno...

Uso Kanotix con gnome 2.6.

.a.

andy caps
30-08-2004, 20:08
se hai aggiornato con emerge lo fanno questo scherzetto le distro miste perche i sistemi di gestione software probabilmente pescano da repository diverse

a me questi scherzi li faceva slack con emerde

prova a reinstallare con apt se funziona come debia i pacchetti che danno errore

aspetta francofait che la usa comunque io no la conosco

prova ad esempio se apt funziona come debian

apt-get --reinstall install libqt3c102-mt kdebase kdelibs

se non trova i pacchetti mettigli i nomi corretti

alkat
30-08-2004, 23:09
Originariamente inviato da andy caps
se hai aggiornato con emerge lo fanno questo scherzetto le distro miste perche i sistemi di gestione software probabilmente pescano da repository diverse

a me questi scherzi li faceva slack con emerde

prova a reinstallare con apt se funziona come debia i pacchetti che danno errore

aspetta francofait che la usa comunque io no la conosco

prova ad esempio se apt funziona come debian

apt-get --reinstall install libqt3c102-mt kdebase kdelibs

se non trova i pacchetti mettigli i nomi corretti


ho provato come dici, ma non risolve il problema.

kanotix comunque una sorellina di knoppix, quindi debian.

speriamo che francofait passi di qui...

.a.

andy caps
30-08-2004, 23:15
ma hai usato anche emerge per aggiornare ? se emerge ti ha installato una versione diversa di glibc un casotto

alkat
30-08-2004, 23:29
Originariamente inviato da andy caps
ma hai usato anche emerge per aggiornare ? se emerge ti ha installato una versione diversa di glibc un casotto

emerge su kanotix? non sapevo si potesse...

cmq no, gli aggiornamenti li ho fatti solo con apt-get update e poi apt-get dist-upgrade.

di sicuro ho fatto casino togliendo kde per gnome... ora kde l'ho rimesso, ma non parte perch dice di non trovare kdeinit. suppongo i problemi con queste librerie siano in qualche modo collegati al casotto che ho combinato eradicando kde...

la cosa divertente che ora (dopo aver installato quello che mi hai suggerito) l'errore cambiato:

XXX@linuxbox:~$ k3b
k3b: relocation error: /usr/lib/libqt-mt.so.3: undefined symbol: _ZN7QAction16stat
XXX@linuxbox:~$ quanta
quanta: relocation error: /usr/lib/libqt-mt.so.3: undefined symbol: _ZN7QAction16stat

prima dava un errore con libkdecore.so.4 (controlla il primo post)



.a.

andy caps
31-08-2004, 00:37
prova allora

apt-get --reinstall install libqt3c102-mt arts kdelibs kdebase k3b


togli il --reinstall se non lo accetta

alkat
31-08-2004, 00:58
Ho seguito il tuo consiglio, ma le cose non migliorano: :(


XXX@linuxbox:~$ quanta
quanta: relocation error: /usr/lib/libkdecore.so.4: undefined symbol: _ZTI7QThread
XXX@linuxbox:~$ scribus
Segmentation fault
XXX@linuxbox:~$ k3b
k3b: relocation error: /usr/lib/libkdecore.so.4: undefined symbol: _ZTI7QThread

andy caps
31-08-2004, 01:42
un pasticcio con le glibc
prova a dare un apt-get dist-upgrade

o aggiornare glibc

apt-get install libg++2.8.1.3-glibc2.2 libglib2.0-dev libc6

Loading